<h1 style="
    text-align: center;
    font-size: 48px;
    font-weight: bold;
    margin-top: 100px;
  ">
    Movie List
</h1>
<mat-card style="width: 50%; margin: auto;">
    <button (click)="post({name:movieInputName.value, author:movieInputAuthor.value, release_date:movieInputReleaseDate.value})" mat-fab color="white" style="float: right;">
    <mat-icon>add</mat-icon>
  </button>
    <mat-form-field style="width: 100%;">
        <mat-label>Enter movie title</mat-label>
        <input #movieInputName matInput placeholder="Ex. Harry Potter à l'école du sorcier" />
    </mat-form-field>
    <mat-form-field style="width: 100%;">
        <mat-label>Enter movie author</mat-label>
        <input #movieInputAuthor matInput placeholder="Ex. J.K Rolings" />
    </mat-form-field>
    <mat-form-field style="width: 100%;">
        <mat-label>Enter movie release date</mat-label>
        <input type="date" #movieInputReleaseDate matInput placeholder="Ex. 01/01/2001" />
    </mat-form-field>

    <mat-list>
        <mat-list-item *ngFor="let movie of movies$">
            <span style="font-weight: bold;">{{ movie.id }}. {{ movie.name }}{{ movie.author }}{{ movie.release_date }}</span>
            <span style="position: absolute; right: 0;">
        <button mat-icon-button>
          <mat-icon (click)="delete(movie.id)" color="warn">
            delete
          </mat-icon>
        </button>
      </span>
        </mat-list-item>
    </mat-list>
</mat-card>